import { type IncludedDependencies, type ProjectManifest, type ProjectRootDir } from '@pnpm/types';
import { type OutdatedCommandOptions, type OutdatedPackageJSONOutput } from './outdated';
export declare function outdatedRecursive(pkgs: Array<{
    rootDir: ProjectRootDir;
    manifest: ProjectManifest;
}>, params: string[], opts: OutdatedCommandOptions & {
    include: IncludedDependencies;
}): Promise<{
    output: string;
    exitCode: number;
}>;
export interface OutdatedPackageInWorkspaceJSONOutput extends OutdatedPackageJSONOutput {
    dependentPackages: Array<{
        name: string;
        location: string;
    }>;
}
